// Customer.m
//--------------------------------------------------------------------
#import "Customer.h"
//--------------------------------------------------------------------
@implementation Customer
//--------------------------------------------------------------------
- createEnd {return [super createEnd];}
//--------------------------------------------------------------------
- setShop: (Shop *)            sh {shop = sh;return self;}
- setSubstitutionRate: (float) sR {substitutionRate = sR;return self;}
- setMaxPrice: (int)           mP {maxPrice = mP;return self;}
//--------------------------------------------------------------------
- buy
{
   int p0,p1,q0,q1;

   p0 = [shop getPriceOf: 0];
   p1 = [shop getPriceOf: 1];
   q0 = maxPrice - p0 + p1 * substitutionRate;
   q1 = maxPrice - p1 + p0 * substitutionRate;
   [shop sell: q0 of: 0];
   [shop sell: q1 of: 1];
   return self;
}
//--------------------------------------------------------------------
@end
