// Shop.h
//--------------------------------------------------------------------

#import <objectbase/SwarmObject.h>
#import <random.h>
#import <math.h>
#import "EH_Trace.h"

//--------------------------------------------------------------------

@interface Shop: SwarmObject
{
   char   eyeCatcher[4];
   double winnings;
   int    pricelist[2],sell[2],profit[2],oldProfit[256];
   int    sectorialMeanProfit,sectorialMaxProfit,steps,numberOfAgent,
          memory,sumProfit;
}

//--------------------------------------------------------------------

- createEnd;

-          setNumberOfAgent:  (int) nA;
-          setMemory:         (int) me;
-          setPriceOf:  (int) sN to: (int) sP;
-          setProfitOf: (int) sN to: (int) sP;

- (int)    getPriceOf:  (int) sN;
- (int)    getSellOf:   (int) sN;
- (int)    getSectorialMeanProfit;
- (int)    getSectorialMaxProfit;

-          sell:        (int) qq of: (int) sN;
-          computeSectorialData;

//--------------------------------------------------------------------

@end
