// Agent.h
//--------------------------------------------------------------------
#import <objectbase/SwarmObject.h>
#import "Shop.h"
#import "CW_RuleMaster.h"
#import "CW_Interface.h"
#import "CW_DataWarehouse.h"
//--------------------------------------------------------------------
@interface Agent: SwarmObject
{
   CW_DataWarehouse* dataWarehouse;
   Shop*             shop;
   CW_RuleMaster*    ruleMaster;
   CW_Interface*     interface;
   int               number,price,profit,newPrice,directCost,fixedCost,
                     opponentPrice,sell,
                     secMean,secMax,steps,oldProfit[256],meanProfit,
                     sumProfit;
}
//--------------------------------------------------------------------
-       createEnd;
-       setRuleMaster:    (CW_RuleMaster*) rM;
-       setShop:          (Shop*)          sh;
-       setDataWarehouse: (id)             dW;
-       setInterface:     (CW_Interface*)  an;
-       setNumber:        (int)            nn;
-       setDirectCost:    (int)            dC;
-       setFixedCost:     (int)            fC;
- (int) getPrice;
- (int) getProfit;
-       fixNewPrice;
-       modifyPrice;
-       computeProfit;
-       evaluateProfit;
-       print;
//--------------------------------------------------------------------
@end
