// CW_Effector.h
//--------------------------------------------------------------------

#import <objectbase/SwarmObject.h>
#import <random.h>
#import <collections.h>
#import "CW_Message.h"
#import "CW_Rule.h"
#import "CW_Treasury.h"
#import "EH_Dump.h"
#import "EH_Trace.h"

//--------------------------------------------------------------------
@interface CW_Effector: SwarmObject

{

   char    eyeCatcher[4];
   id      partnerList;
   EH_Dump *  dump;
   double  support;
   int     length,suggestion;
   char    body[256];

}

//--------------------------------------------------------------------

-          createEnd;
- (void)   drop;

-          setBody:         (char *)    aS;
-          setLength:       (int)       ll;
-          setSuggestion:   (int)       su;
-          setDump:         (EH_Dump *) du;
-          setPartner:      (CW_Rule *) ru;
- (double) getSupport;
- (int)    getSuggestion;
- (char *) getBody;

- (int)    matchMessage:    (CW_Message *) me;
-          resetPartnerList;
-          payToPartners:   (double)       rV;

-          print;
-          printPartners;

//--------------------------------------------------------------------
@end
