// ObserverSwarm.h
//--------------------------------------------------------------------

#import "ModelSwarm.h"
#import "EH_Trace.h"
#import "Agent.h"
#import <simtoolsgui/GUISwarm.h>
#import <simtoolsgui.h>
#import <analysis.h>
#import <simtoolsgui.h>

//--------------------------------------------------------------------

@interface ObserverSwarm: GUISwarm
{

   char eyeCatcher[4];

   id displayActions;
   id controlActions;
   id displaySchedule;
   id priceGraph;
   id profitGraph;
   id agentList;
   ModelSwarm *modelSwarm;

   float substitutionRate;
   int displayFrequency,printFrequency,payoff[256],optimalPrice,steps,
       numberOfAgents,maxPayoff,flag,maxPrice,directCost,
       fixedCost,cnt,cycle;

}

//--------------------------------------------------------------------

+ createBegin: aZone;
- createEnd;
- buildObjects;
- buildActions;
- activateIn: swarmContext;
- compute;
- verify;
- printPayoff;
//--------------------------------------------------------------------

@end
